<script setup lang="ts">
import { inject, type Ref } from 'vue'
import { useAuthStore } from '@/stores/auth'

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const authStore = useAuthStore()
</script>

<template>
  <v-navigation-drawer color="white" :style="{ opacity: 0.85 }" v-model="drawer" :rail="rail" permanent
    @click="rail = false">
    <v-list density="compact" nav>
      <!-- Owner mainmenu -->
      <v-list-item v-if="authStore.getCurrentUser()?.role.name === 'Owner'">
        <v-list-item prepend-icon="mdi-cart" title="Point of Sell" value="pos" :to="{ name: 'pos' }"></v-list-item>
        <!---->
        <v-list-item prepend-icon="mdi-finance" title="Performance" value="static"
          :to="{ name: 'static' }"></v-list-item>
        <!---->
        <v-list-item prepend-icon="mdi-ticket-percent-outline" title="Promotion" value="promotion"
          :to="{ name: 'promotion' }"></v-list-item>
        <!---->
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-package-variant-closed" title="Stock"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-package-variant" title="Stock Management" value="stocks"
            :to="{ path: '/stocks' }"></v-list-item>
          <v-list-item prepend-icon="mdi-cart-plus" title="Buy Stock" value="buystock"
            :to="{ path: '/buystock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-cart-minus" title="Use Stock" value="usestock"
            :to="{ path: '/usestock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Report Buy Stock" value="receiptBuystock"
            :to="{ path: '/ReceiptBuystock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Report Use Stock" value="receiptUsestock"
            :to="{ path: '/ReceiptUsestock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Report Check Stock" value="receiptCheckstock"
            :to="{ path: '/ReceiptCheckstock' }"></v-list-item>
        </v-list-group>
        <!---->
        <v-list-item prepend-icon="mdi-account-group" title="Member Management" value="member"
          :to="{ path: '/member' }"></v-list-item>
        <!---->
        <v-list-item prepend-icon="mdi-account" title="Employee Management" value="employee"
          :to="{ path: '/employee' }"></v-list-item>
        <!---->
        <v-list-item prepend-icon="mdi-account-cash" title="Salary Management" value="salary"
          :to="{ path: '/salary' }"></v-list-item>
        <!---->
        <v-list-item prepend-icon="mdi-account-tie" title="User Management" value="user"
          :to="{ path: '/user' }"></v-list-item>
        <!---->
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-receipt" title="Receipt Pos"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-receipt" title="Receipt Management" value="receipt"
            :to="{ path: '/Receipt' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Member's Most Order" value="mostOrder"
            :to="{ path: '/mostordered' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Receipt History" value="History"
            :to="{ path: '/historyReciept' }"></v-list-item>
        </v-list-group>
        <!---->
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-cash" title="Store Expenses"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-cash-plus" link title="Expenses Bill" value="SE"
            :to="{ name: 'se' }"></v-list-item>
          <!---->
          <v-list-item prepend-icon="mdi-file-chart" link title="Expenses Report" value="SEReport"
            :to="{ name: 'sereport' }"></v-list-item>
          <!---->
          <v-list-item prepend-icon="mdi-file-chart" link title="Expenses Chart" value="SEChart"
            :to="{ name: 'sechart' }"></v-list-item>
          <!---->
        </v-list-group>
        <!---->
        <v-list-item prepend-icon="mdi-store" title="Branch Management" value="branch"
          :to="{ path: '/branch' }"></v-list-item>
        <!---->
        <v-list-item prepend-icon="mdi-food-fork-drink" title="Product Manager" value="product"
          :to="{ path: '/product' }"></v-list-item>
        <!---->
        <v-list-item prepend-icon="mdi-account-clock" title="Employee Attendance" value="employee"
          :to="{ path: '/attendanceTable' }"></v-list-item>
        <!---->
        <v-list-item prepend-icon="mdi-logout" title="Logout" value="Logout" @click="authStore.logout()"></v-list-item>
      </v-list-item>
      <!-- Manager mainmenu -->
      <v-list-item v-else-if="authStore.getCurrentUser()?.role.name === 'Manager'">
        <v-list-item prepend-icon="mdi-cart" title="Point of Sell" value="pos" :to="{ name: 'pos' }"></v-list-item>
        <v-list-item prepend-icon="mdi-food-fork-drink" title="Product Manager" value="product"
          :to="{ path: '/product' }"></v-list-item>
        <v-list-item prepend-icon="mdi-ticket-percent-outline" title="Promotion" value="promotion"
          :to="{ name: 'promotion' }"></v-list-item>
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-package-variant-closed" title="Stock"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-package-variant" title="Stock Management" value="stocks"
            :to="{ path: '/stocks' }"></v-list-item>
          <v-list-item prepend-icon="mdi-cart-plus" title="Buy Stock" value="buystock"
            :to="{ path: '/buystock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-cart-minus" title="Use Stock" value="usestock"
            :to="{ path: '/usestock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Report Buy Stock" value="receiptBuystock"
            :to="{ path: '/ReceiptBuystock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Report Use Stock" value="receiptUsestock"
            :to="{ path: '/ReceiptUsestock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Report Check Stock" value="receiptCheckstock"
            :to="{ path: '/ReceiptCheckstock' }"></v-list-item>
        </v-list-group>
        <v-list-item prepend-icon="mdi-account-group" title="Member Management" value="member"
          :to="{ path: '/member' }"></v-list-item>
        <v-list-item prepend-icon="mdi-account" title="Employee Management" value="employee"
          :to="{ path: '/employee' }"></v-list-item>
        <v-list-item prepend-icon="mdi-clipboard-text-clock" title="History Attendance" value="employee"
          :to="{ path: '/history' }"></v-list-item>
          <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-receipt" title="Receipt Pos"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-receipt" title="Receipt Management" value="receipt"
            :to="{ path: '/Receipt' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Member's Most Order" value="mostOrder"
            :to="{ path: '/mostordered' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Receipt History" value="History"
            :to="{ path: '/historyReciept' }"></v-list-item>
        </v-list-group>
        <v-list-item prepend-icon="mdi-account-cash" title="Salary Management" value="salary"
          :to="{ path: '/salary' }"></v-list-item>
        <v-list-item prepend-icon="mdi-account-tie" title="User Management" value="user"
          :to="{ path: '/user' }"></v-list-item>
        <!--  -->
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-cash" title="Store Expenses"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-cash" link title="Store Expenses" value="SE"
            :to="{ name: 'se' }"></v-list-item>
          <v-list-item prepend-icon="mdi-file-chart" link title="Expenses Report" value="SEReport"
            :to="{ name: 'sereport' }"></v-list-item>
        </v-list-group>
        <!--  -->
        <v-list-item prepend-icon="mdi-logout" title="Logout" value="Logout" @click="authStore.logout()"></v-list-item>
      </v-list-item>
      <!-- Employee mainmenu -->
      <v-list-item v-else-if="authStore.getCurrentUser()?.role.name === 'Employee'">
        <v-list-item prepend-icon="mdi-cart" title="Point of Sell" value="pos" :to="{ name: 'pos' }"></v-list-item>
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-package-variant-closed" title="Stock"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-package-variant" title="Stock Management" value="stocks"
            :to="{ path: '/stocks' }"></v-list-item>
          <v-list-item prepend-icon="mdi-cart-plus" title="Buy Stock" value="buystock"
            :to="{ path: '/buystock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-cart-minus" title="Use Stock" value="usestock"
            :to="{ path: '/usestock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Report Buy Stock" value="receiptBuystock"
            :to="{ path: '/ReceiptBuystock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Report Use Stock" value="receiptUsestock"
            :to="{ path: '/ReceiptUsestock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Report Check Stock" value="receiptCheckstock"
            :to="{ path: '/ReceiptCheckstock' }"></v-list-item>
        </v-list-group>
        <v-list-item prepend-icon="mdi-food-fork-drink" title="Product Manager" value="product"
          :to="{ path: '/product' }"></v-list-item>
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-package-variant-closed" title="Stock"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-package-variant" title="Stock Management" value="stocks"
            :to="{ path: '/stocks' }"></v-list-item>
          <v-list-item prepend-icon="mdi-cart-plus" title="Buy Stock" value="buystock"
            :to="{ path: '/buystock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-cart-minus" title="Use Stock" value="usestock"
            :to="{ path: '/usestock' }"></v-list-item>
        </v-list-group>
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-receipt" title="Receipt Pos"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-receipt" title="Receipt Management" value="receipt"
            :to="{ path: '/Receipt' }"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt" title="Receipt History" value="History"
            :to="{ path: '/historyReciept' }"></v-list-item>
        </v-list-group>
        
        <!--  -->
        <v-list-group>
          <template v-slot:activator="{ props }">
            <v-list-item v-bind="props" prepend-icon="mdi-cash" title="Store Expenses"></v-list-item>
          </template>
          <v-list-item prepend-icon="mdi-cash" link title="Store Expenses" value="SE"
            :to="{ name: 'se' }"></v-list-item>
          <v-list-item prepend-icon="mdi-file-chart" link title="Expenses Report" value="SEReport"
            :to="{ name: 'sereport' }"></v-list-item>
        </v-list-group>
        <!--  -->
        <v-list-item prepend-icon="mdi-clock" title="Time Attendance" value="employee"
          :to="{ path: '/attendance' }"></v-list-item>
        <v-list-item prepend-icon="mdi-clipboard-text-clock" title="History Attendance" value="employee"
          :to="{ path: '/history' }"></v-list-item>
        <v-list-item prepend-icon="mdi-logout" title="Logout" value="Logout" @click="authStore.logout()"></v-list-item>
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
<style></style>
